PNGMETA(1)

NAME
pngmeta - extract metadata from Portable Network Graphics (PNG) image files

SYNOPSIS
pngmeta [--soif] [--html] [--xrdf] [--all] [--quiet] [--uri URI] [filename]

DESCRIPTION
The pngmeta filter outputs the metadata from Portable Network Graphics (PNG) format image files in one of these formats:

1. Simple key: value

2. SOIF format (as used by the Harvest system, version 1.4).

    As such it can be used as a Summarizer for the Harvest Essence system. It could also be used by other indexers to extract data for indexing PNG images.

3. HTML page With each element as an element in a descriptive (DL) list

4. XML/RDF With each element as an RDF property on the source URI.

In the absence of options, the program operates as a filter, accepting input from stdin and sending output to stdout. If a single file name is given, it is assumed to correspond to a PNG file, and is processed.

FORMAT OPTIONS

--soif
    Format output using (Harvest) SOIF format. This is the default if the program is called PngImage.sum.

--html
    Format output in HTML, with each field/value as an element in a descriptive (DL) list.

--xrdf
    Format output in RDF/XML, with each field/value as an element in an rdf:Description block inside the outer rdf:RDF wrapper element. If an XMLRDFDATA field is found, it is assumed to be RDF/XML content and is emitted in a second rdf:Description block.

OTHER OPTIONS

--all
    Output all the information about the image size, depth etc. even if not usually printed.

--quiet
    Suppress the output of the banner for plain text output. --uri URI Set the URI that is used for the SOIF and XML/RDF outputs. By default this will be the filename, or "stdin" if this is the program is used as a filter.

--help
    Show a usage message

--version
    Show the program and library versions

FILES

pngmeta
    executable

SEE ALSO
gif2png(1), libpng(3), pbm(1), pgm(1), pngcheck(1), pngtopnm(1), pnm(5), pnmgamma(1), pnmtopng(1), ptot(1), tiff2png(1), zlib(3)

For information about Harvest and its SOIF format:

    http://harvest.cs.colorado.edu/

For PNG

    http://www.libpng.org/pub/png/

For libpng library

    http://www.libpng.org/pub/png/libpng.html
    http://libpng.sourceforge.net

For zlib library

    http://www.zlib.net/

AUTHORS
Version 1.11. Dave Beckett, ILRT, University of Bristol, http://purl.org/net/dajobe/

The zlib(3) library required by pngmeta is copyright (C) 1995-1996 Jean-loup Gailly and Mark Adler.

Original UNIX manual page by R. P. C. Rodgers, U.S. National Library of Medicine (rodgers@nlm.nih.gov).